summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian Krause2017-03-14 07:09:26 +0100
committerChristian Krause2017-03-14 07:09:26 +0100
commit7d0f14a3a159fb1c66100299b836a6797b4a6469 (patch)
treea7739e0db9b072d038245d6298d87ceb4c9453c9
parent3eaeeb8fc21547a245c3a2715bd229707be262fe (diff)
downloadaur-7d0f14a3a159fb1c66100299b836a6797b4a6469.tar.gz
samtools-1.4-1
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD11
2 files changed, 10 insertions, 9 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 7af9e79e135..71a460068ad 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Sun May 29 18:26:52 UTC 2016
+# Tue Mar 14 06:08:43 UTC 2017
pkgbase = samtools
pkgdesc = tools for manipulating next-generation sequencing data
- pkgver = 1.3.1
+ pkgver = 1.4
pkgrel = 1
url = http://www.htslib.org/
arch = i686
@@ -12,8 +12,8 @@ pkgbase = samtools
optdepends = luajit: needed for r2plot.lua vcfutils.lua
optdepends = python2: needed for varfilter.py
options = staticlibs
- source = https://github.com/samtools/samtools/releases/download/1.3.1/samtools-1.3.1.tar.bz2
- md5sums = a7471aa5a1eb7fc9cc4c6491d73c2d88
+ source = https://github.com/samtools/samtools/releases/download/1.4/samtools-1.4.tar.bz2
+ md5sums = 8cbd7d2a0ec16d834babcd6c6d85d691
pkgname = samtools
diff --git a/PKGBUILD b/PKGBUILD
index 45422e62d87..f97ba05cf89 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,8 +1,8 @@
-# Maintainer: Christian Krause ("wookietreiber") <kizkizzbangbang@googlemail.com>
+# Maintainer: Christian Krause ("wookietreiber") <christian.krause@mailbox.org>
# Contributor: Markus Heuser <markus.heuser@web.de>
pkgname=samtools
-pkgver=1.3.1
+pkgver=1.4
pkgrel=1
pkgdesc="tools for manipulating next-generation sequencing data"
arch=('i686' 'x86_64')
@@ -12,14 +12,13 @@ depends=('htslib')
optdepends=('luajit: needed for r2plot.lua vcfutils.lua'
'python2: needed for varfilter.py')
options=('staticlibs')
-source=(https://github.com/samtools/$pkgname/releases/download/$pkgver/$pkgname-$pkgver.tar.bz2)
-md5sums=('a7471aa5a1eb7fc9cc4c6491d73c2d88')
+source=(https://github.com/samtools/samtools/releases/download/$pkgver/$pkgname-$pkgver.tar.bz2)
prepare() {
cd $srcdir/$pkgname-$pkgver
# prevent shipped htslib to be used
- rm -rf htslib-1.3.1
+ rm -rf htslib-$pkgver || exit 1
sed -e 's|#!/usr/bin/env python|#!/usr/bin/env python2|' \
-i misc/varfilter.py
@@ -57,3 +56,5 @@ package() {
install -Dm644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE
}
+
+md5sums=('8cbd7d2a0ec16d834babcd6c6d85d691')